      module h_setkin_depos
      use h_setkin_par, only: NSP
      implicit none
      public 

c=======================================================================
c
c $Id: setkin_depos.h,v 1.3 2002/02/20 15:38:31 akinorii Exp $
c
c CODE DEVELOPER
c   Peter Connell, LLNL
c   connell2@llnl.gov
c
c   "setkin_depos.h" was modified by Xiaohong Liu
c
c FILE
c   setkin_depos.h
c
c DESCRIPTION
c   This include file contains physical information about each species which
c   will be used in the deposition routines. It includes an integer declaring
c   aerosol species (aerosol=1 means it is an aerosol, aerosol=0 means it is
c   a gas). There is also a Henry's law constant and oxidizing potential for
c   each species.
c
c  Chemistry input file generated: 2/23/00 10:12AM
c  Reaction dictionary:            3/29/99 2:55PM
c  Setkin files generated:         Wed Feb 23 10:30:41 2000
c
c=======================================================================

      integer      :: aerosol        (1:NSP)

      real*8, save :: hstar          (1:NSP)
      real*8, save :: oxidize        (1:NSP)
      real*8, save :: delH_298_over_R(1:NSP)
      real*8, save :: retention_eff  (1:NSP)

      data aerosol(1:NSP) /
     &  0,  0,  0,  0,  0,  1,  1,  2,  2, 3, 
     &  3,  
     &  4,  5,  6,  7,  8,  5,  5,  6,  6,  9,
     &  9,  9,  9, 10, 11, 12, 13, 14, 15, 16,
     & 17,  4,  5,  6,  7,  8,  5,  5,  6,  6, 
     &  9,  9,  9,  9, 10, 11, 12, 13, 14, 15, !51 
     & 16, 17,  0,  0,  0,  7,  7,  7,  7,  0, ! assume SOA same as bOC
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,!101
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,!151
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     $  0,  0,!183
     &  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,
     &  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,!203
     &  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,
     &  7,  7,  7,  7,  7,  0,  !219
c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     &                       6,  6,  6,  6,  
c     &  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,
c     &  4,  4,  6,  6,  6,  6,  6,  6,  6,  6,
c     &                                  4,  4,
c     &  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,
c     &  4,  4, 
c---------gxlin 06/18/2009
c--------change ne_IAP to gas phase
c     &  0,  6,  6,  6,  6,  6,  6,  6,
c     &  6,  6,  6,  6,  6,  6,  6,  6,
c------------gxlin 06/18/2009
c ** End of modifications by Luis Olcese, UM
c ********************************************
c--------------JIALEI-----add 17 species for ELVOC version---------
     &  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, !229
     &  0,  0,  0,  0,  0,  0,  0, !236
c--------------JIALEI SOA for new chem version-----------------------------
     &  0,  0,  0,  0,  0,  0,
c--------------JIALEI-----add 16 SOA---------
     &  1,  2,  3,  4,  5,  6,  7,  8,  10,  11,
     &  12,  13,  14,  15,  16,  17,!252
c--------------JIALEI--------add 12 species for nucleation version-----
     &  7,  7,  7,  7,  7,  7,  7,  7,  7,  7,
     &  7,  7,  !264
c--------------------------------------------------
     &  0,  0,  0,  0/!268

      data hstar(1:NSP) /
     & 1.00d5,    1.00d5,    1.00d5,    0.56d0,    1.00d9,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    1.00d5,    0.00d0,
     & 1.00d-2,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     & 0.00d0,                                               !div_const
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 3.17d11,   0.00d0,    1.20d4,    0.00d0,    0.00d0,
     & 8.30d4,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    3.20d3,    1.30d1,    0.00d0,    3.00d1,
     & 2.10d1,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    1.70d4,    0.00d0,    0.00d0,    0.00d0,
     & 1.70d4,    4.10d4,    0.00d0,    2.93d3,    3.60d5,
     & 3.70d3,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    2.30d1,    1.70d6,
     & 0.00d0,    1.67d5,    4.10d3,    0.00d0,    0.00d0,
     & 2.20d2,    1.90d2,    1.30d2,    0.00d0,    3.12d2,
     & 3.40d2,    0.00d0,    0.00d0,    1.70d6,    1.70d6,
     & 1.70d6,    0.00d0,    1.70d4,    1.70d4,    1.70d4,
     & 1.70d4,    1.70d4,    1.70d4,

c---------------------gxlin---------------------------------

     & 3.40d2,    0.00d0,    0.00d0,    0.00d0,    3.40d2,
     & 3.40d2,    3.40d2,    0.00d0,    3.40d2,    0.00d0,
     & 0.00d0,    0.00d0,    1.70d6,    1.70d6,    1.70d6,
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    8.30d4,
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     $ 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
      
c----------------------gxlin---------------------------------

c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &                                  0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c ** End of modifications by Luis Olcese, UM
c ********************************************
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,
c---------------JIALEI------add 17 species for ELVOC version--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,
c--------------JIALEI SOA for new chem version-----------------------------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 16 SOA--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 12 species for nucleation------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0/
c---------------------------------------------

      data oxidize(1:NSP) /
     &    1.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 
     &    1.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, !
     &    0.00d0,         !div_const
     &    1.00d0,    0.10d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    1.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.10d0,
     &    0.00d0,    0.10d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.10d0,    0.10d0,    0.10d0,
     &    0.10d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.10d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.10d0,
     &    0.10d0,    0.00d0,    0.00d0,    0.10d0,    0.10d0,
     &    0.10d0,    0.00d0,    0.10d0,    0.10d0,    0.10d0,
     &    0.10d0,    0.10d0,    0.10d0,

c---------------------------gxlin--------------------------

     &    0.10d0,    0.10d0,    0.10d0,    0.10d0,    0.10d0,
     &    0.10d0,    0.10d0,    0.10d0,    0.10d0,    0.10d0,
     &    0.10d0,    0.10d0,    0.10d0,    0.10d0,    0.10d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0, 

c--------------------------gxlin---------------------------
  
c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &                                     0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c ** End of modifications by Luis Olcese, UM
c ********************************************
     &    0.00d0,    0.00d0,    0.00d0,    0.00d0,
c---------------JIALEI------add 17 species for ELVOC version--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,
c--------------JIALEI SOA for new chem version-----------------------------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 16 SOA--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 12 species for nucleation------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0/
c---------------------------------------------

      data delH_298_over_R(1:NSP) /
     & -6.80d3, -3.02d3, -3.02d3,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0, 
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0, -3.02d3,  0.00d0,
     &  2.30d3,  0.00d0,  0.00d0,  0.00d0,  0.00d0, !
     &  0.00d0,   ! div_const
     &  0.00d0,  0.00d0,  0.00d0, -2.00d3, -3.40d3,
     & -8.70d3,  0.00d0, -6.90d3,  0.00d0,  0.00d0,
     & -7.40d3,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0, -6.80d3, -5.70d3,  0.00d0, -4.60d3,
     & -5.00d3,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0, -9.20d3,  0.00d0,  0.00d0,  0.00d0,
     & -9.20d3, -4.60d3,  0.00d0,  0.00d0,  0.00d0,
     & -7.50d3,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     &  0.00d0,  0.00d0,  0.00d0, -6.55d3, -9.70d3,
     &  0.00d0, -6.10d3, -6.30d3,  0.00d0,  0.00d0,
     & -5.20d3, -6.60d3, -7.20d3,  0.00d0, -5.20d3,
     & -6.00d3,  0.00d0,  0.00d0, -9.70d3, -9.70d3,
     & -9.70d3, -4.70d3, -9.20d3, -9.20d3, -9.20d3,
     & -9.20d3, -9.20d3, -9.20d3,

c----------------------------------gxlin--------------------

     & -6.00d3,  0.00d0,  0.00d0,  0.00d0, -6.00d3,
     & -6.00d3, -6.00d3,  0.00d0, -6.00d3,  0.00d0,
     &  0.00d0, -9.70d3, -9.70d3, -9.70d3, -9.70d3,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0, -7.40d3,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     $  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0, 
    

c----------------------------------gxlin-----------------  
c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &                             0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c ** End of modifications by Luis Olcese, UM
c ********************************************
     &  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c---------------JIALEI------add 17 species for ELVOC version--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,
c--------------JIALEI SOA for new chem version-----------------------------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 16 SOA--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 12 species for nucleation------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0/
c---------------------------------------------


      data retention_eff(1:NSP) /
     & 0.05d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0, 
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0, !
     & 0.00d0,          !div_const
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.50d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.02d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.20d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,

c---------------------gxlin--------------------------
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0, 

c---------------------gxlin-------------------------

c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     &                            0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,  0.00d0,
c ** End of modifications by Luis Olcese, UM
c ********************************************
     & 0.00d0,  0.00d0,  0.00d0,  0.00d0,
c---------------JIALEI------add 17 species for ELVOC version--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,
c--------------JIALEI SOA for new chem version-----------------------------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 16 SOA--------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,
c---------------JIALEI------add 12 species for nucleation------
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0,    0.00d0,    0.00d0,    0.00d0,
     & 0.00d0,    0.00d0/
c---------------------------------------------
     
       end module h_setkin_depos


