      module h_setkin_synspc
      implicit none
      public
c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** From chemistry version
cc=======================================================================
cc
cc $Id: setkin_synspc.h,v 1.2 2003/03/05 20:56:37 jrt Exp $
cc
cc CODE DEVELOPER
cc   Peter Connell, LLNL
cc   connell2@llnl.gov
cc
cc FILE
cc   setkin_synspc.h
cc
cc DESCRIPTION
cc   This include file contains information about synthetic stratospheric
cc   sources for ozone and nitrogen oxides.
cc
cc  Chemistry input file:    2:20 PM 1/14/2003
cc  Reaction dictionary:     NMHC reactions.db
cc  Setkin files generated:  Tue Feb 11 19:35:44 2003
cc
cc=======================================================================
c
c
c      logical, parameter :: USE_SYNOZ = .false.
c      logical, parameter :: USE_NODOZ = .false.
c
c      integer, parameter :: ISYNOZ = 0
c
c      integer, parameter :: MAXNODOZ_ELEM = 10
c
c      integer, parameter :: NOX_ELEM_MAP(MAXNODOZ_ELEM) =
c     &  (/ 10, 12, 13, 14, 15,  0,  0,  0,  0,  0 /)
c
c      integer, parameter :: NOY_ELEM_MAP(MAXNODOZ_ELEM) =
c     &  (/ 16, 17, 18,  0,  0,  0,  0,  0,  0,  0 /)
c
cc                                  --^--
c
c ** End of modifications by Luis Olcese, UM
c ********************************************


c=============================================================================
c
c $Id: setkin_synspc.h,v 1.1 2002/02/11 14:50:46 akinorii Exp $
c
c CODE DEVELOPER
c   Peter Connell, LLNL
c   connell2@llnl.gov
c
c   IMPACT quadchem modifications:  Akinori Ito.
c
c FILE
c   setkin_synspc.h
c
c DESCRIPTION
c   This include file tbd
c
c  Chemistry input file generated:
c  Reaction dictionary:
c  Setkin files generated:
c
c=============================================================================


      logical, parameter :: USE_SYNOZ = .true.
      logical, parameter :: USE_NODOZ = .true.

c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols

c *** To be changed if the number of SOA forming species changes

c      integer, parameter :: ISYNOZ = 174 ! 90 + 40 + 44

C------------------------gxlin--------------------------------
    
      integer, parameter :: ISYNOZ = 237+17+12+6 !JIALEI 

c----------------------------gxlin---------------------------

c ** End of modifications by Luis Olcese, UM
c ********************************************

      integer, parameter :: MAXNODOZ_ELEM = 10

      integer, parameter :: NOX_ELEM_MAP(MAXNODOZ_ELEM) =
c     &  (/ 2, 3, 4, 5, 5, 0, 0, 0, 0, 0 /)
c     &  (/ 42, 43, 44, 45, 45, 0, 0, 0, 0, 0 /)
     &  (/ 63, 64, 65, 66, 66, 0, 0, 0, 0, 0 /)

      integer, parameter :: NOY_ELEM_MAP(MAXNODOZ_ELEM) =
c     &  (/ 6, 7, 8, 0, 0, 0, 0, 0, 0, 0 /)
c     &  (/ 46, 47, 48, 0, 0, 0, 0, 0, 0, 0 /)
     &  (/ 67, 68, 69, 0, 0, 0, 0, 0, 0, 0 /)

      integer, parameter :: strat_loss(1:ISYNOZ) =
c ********************************************
c ** Begin of modifications by Luis Olcese, UM

     &  (/ 0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,!61
c ** End of modifications by Luis Olcese, UM
c ********************************************
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  8,
     &     9,534,  0,  0, 13,  0, 14, 43, 46, 49,
     &   283, 21, 38, 71, 81, 98,300,125,303,136,
     &   321,323,326,  0,270,  0,271,  0,  0,  0,
     &     0,  0,  0,  0,128,158,130,182,139,132,
     &   133,334,328,329,330,  0,344,346,345,370,
     &   137,138,412,415,  0,  0, 34, 70,269,116,
     &    35,115, 531,  0, 20,  0,398,406,  0,  0,
     &   439,  0,  0,168,157,281,278,408,!149
c
c---------------------------gxlin-----------------

     &   422, 445, 446,  0,  427,  429,  425,  447,  428,  449,
     &     167,  441,  170,  169,  0,  0,  655,  638,  598,  676,
     &     0,  674,  0,  670,  672,!174
     $     657,  0,  0,  0,  0,  0,  0,!181 
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,!211
     $     0,  0,  0,  0,  0,  0,  0,  0,!219
c--------------------gxlin---------------------
  
c ********************************************
c ** Begin of modifications by Luis Olcese, UM
c ** Changed to include secondary organic aerosols
c     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
c     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
c     &     0,  0,
c     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
c     &     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
c     &     0,  0,  0,  0,  
c ** End of modifications by Luis Olcese, UM
c ********************************************
     &     0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0, 0,!JIALEI add 17 species
c--------------JIALEI SOA for new chem version-----------------------------
     &     0,0,0,0,0,0,
     &     0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0,  0,  0,  0,  0,!JIALEI add 16 species

     &     0,  0,  0,  0,  0,  0,  0,  0,
     &     0,  0,  0,  0, !JIALEI add 12 species

     &     0, 515/)
      end module h_setkin_synspc
